Skip to main content
POST
/
api
/
management
/
dynamic-forms
/
set-form-answers
Responder um formulário dinâmico
curl --request POST \
  --url https://api.olie.ai/api/management/dynamic-forms/set-form-answers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": {
    "father_class": "project",
    "father_id": "00000000-0000-0000-0000-000000000000",
    "pivot_class": "project",
    "form_id": 0,
    "related_model_attribute_id": "00000000-0000-0000-0000-000000000000",
    "id": "00000000-0000-0000-0000-000000000000",
    "project_funnel_id": 0,
    "project_id": "00000000-0000-0000-0000-000000000000",
    "funnel_step_id": 0
  },
  "form_answers": [
    {
      "id": 0,
      "answer": ""
    },
    {
      "id": 0,
      "answer": ""
    }
  ]
}
'
{
  "response": true,
  "edges": [
    {
      "id": 2130,
      "label": "Texto curto",
      "answer": "Exemplo de resposta no formulário do objeto projeto: Voluptates ipsam amet vel mollitia.",
      "model": "Project",
      "answered_by": "019aeaa3-2370-731c-9008-be759795f449",
      "updated_at": "2025-12-16T14:49:55.000000Z"
    },
    {
      "id": 2131,
      "label": "Texto longo",
      "answer": "Exemplo de resposta no formulário do objeto projeto: Quia perspiciatis voluptates maiores.",
      "model": "Project",
      "answered_by": "019aeaa3-2370-731c-9008-be759795f449",
      "updated_at": "2025-12-16T14:49:55.000000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Dados para responder um formulário dinâmico

target
Target · object

Objeto que descreve o alvo do formulário dinâmico

form_answers
object[]

Response

Resposta: Formulário objeto projeto

response
boolean
edges
object[]